org.richfaces.component

## Enum UIChart.Properties

- java.lang.Object
- - java.lang.Enum<UIChart.Properties>
  - - org.richfaces.component.UIChart.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIChart.Properties>
  Enclosing class:
    UIChart

      protected static enum UIChart.Properties
      extends Enum<UIChart.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `hooks`
    `onmouseout`
    `onplotclick`
    `onplothover`
    `plotClickListener`
    `style`
    `styleClass`
    `title`
    `zoom`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIChart.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIChart.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### hooks

          public static final UIChart.Properties hooks

    - #### onmouseout

          public static final UIChart.Properties onmouseout

    - #### onplotclick

          public static final UIChart.Properties onplotclick

    - #### onplothover

          public static final UIChart.Properties onplothover

    - #### plotClickListener

          public static final UIChart.Properties plotClickListener

    - #### style

          public static final UIChart.Properties style

    - #### styleClass

          public static final UIChart.Properties styleClass

    - #### title

          public static final UIChart.Properties title

    - #### zoom

          public static final UIChart.Properties zoom

  - ### Method Detail

    - #### values

          public static UIChart.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIChart.Properties c : UIChart.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIChart.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.